IP Detection
WHOIS API
Registration record for a domain name.
Get a WHOIS record
GET/v1/whois/{domain}
API key
Parameters
- domainstringpathRequired
Domain name.
Response fields
- domainstring
Domain name.
- registrarstring
Registrar of the domain.
- registeredOnstring
Registration date.
- expiresOnstring
Expiry date.
- lastUpdatedstring
Date the record last changed.
- nameserversstring[]
Nameservers on the record.
- statusstring[]
EPP status codes.
- privacyProtectionboolean
True when the registrant is hidden.
curl https://ipscanner.io/v1/whois/example.com \
-H "Authorization: Bearer YOUR_API_KEY"Response
{
"domain": "example.com",
"registrar": "RESERVED-Internet Assigned Numbers Authority",
"registeredOn": "1995-08-14T04:00:00Z",
"expiresOn": "2027-08-13T04:00:00Z",
"lastUpdated": "2025-08-14T07:01:39Z",
"nameservers": [
"a.iana-servers.net",
"b.iana-servers.net"
],
"status": [
"clientDeleteProhibited",
"clientTransferProhibited",
"clientUpdateProhibited"
],
"privacyProtection": false
}